Bug 265511 - Information about the planet is difficult to see when using a dark color scheme
Summary: Information about the planet is difficult to see when using a dark color scheme
Status: RESOLVED FIXED
Alias: None
Product: konquest
Classification: Applications
Component: general (show other bugs)
Version: 2.0
Platform: Archlinux Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Pierre Ducroquet
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-05 13:34 UTC by Mesheryakov Konstanitin
Modified: 2011-08-21 10:18 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mesheryakov Konstanitin 2011-02-05 13:34:07 UTC
Version:           2.0 (using KDE 4.6.0) 
OS:                Linux

Information about the planets is always displayed on a white background, even when using a white font.



Reproducible: Always

Steps to Reproduce:
Set dark color scheme in system's settings and play the game

Actual Results:  
The white text is completely unreadable on the white background

Expected Results:  
Using background color from system's settings

Possible fix:
*** old/kdegames-4.6.0/konquest/mapitems.cc     2011-01-19 00:23:00.000000000 +0300
--- new/kdegames-4.6.0/konquest/mapitems.cc   2011-02-05 15:08:11.000000000 +0300
***************
*** 33,38 ****
--- 33,39 ----
  #include <kglobalsettings.h>
  #include <klocale.h>
  #include <kdebug.h>
+ #include <kcolorscheme.h>
  
  #include "mapscene.h"
  #include "map.h"
***************
*** 107,113 ****
      if ( m_hovered || (m_selected && m_blinkState) ) {
          QBrush  backBrush = p->brush();
  
!         backBrush.setColor(Qt::white);
          backBrush.setStyle(Qt::SolidPattern);
  
          p->setOpacity(0.3);
--- 108,114 ----
      if ( m_hovered || (m_selected && m_blinkState) ) {
          QBrush  backBrush = p->brush();
  
!         backBrush.setColor(KColorScheme(QPalette::Active).background().color());
          backBrush.setStyle(Qt::SolidPattern);
  
          p->setOpacity(0.3);
***************
*** 253,259 ****
  {
      QBrush  brush = p->brush();
  
!     brush.setColor(Qt::white);
      brush.setStyle(Qt::SolidPattern);
  
      p->setOpacity(0.7);
--- 254,260 ----
  {
      QBrush  brush = p->brush();
  
!     brush.setColor(KColorScheme(QPalette::Active).background().color());
      brush.setStyle(Qt::SolidPattern);
  
      p->setOpacity(0.7);
Comment 1 Pierre Ducroquet 2011-08-21 10:18:41 UTC
Bug fixed in branch 4.7 with commit r1248530
This will soon be in trunk...

Thanks for your patch !